[SciPy-dev] Trouble building scipy_core from svn on Debian machine

Jonathan Guyer guyer at nist.gov
Fri Nov 18 14:14:45 CST 2005


In the course of doing my long promised benchmarking of scipy.sparse 
against pysparse, I'm attempting to build scipy_core on a Debian Sarge 
machine, and I get an error in _configtest:

Inconsistency detected by ld.so: dl-version.c: 230: 
_dl_check_map_versions: Assertion `needed != ((void *)0)' failed!

googling this error message produces two seemingly irrelevant hits:  
<http://sourceware.org/ml/binutils/2004-12/msg00272.html> and 
<http://lists.debian.org/debian-gcc/2005/07/msg00522.html>.

I know that folks are building SciPy on Debian machines. Does anybody 
know what this error comes from?

Full build log:
------------------------------------------
301 benson% python setup.py build
Running from scipy core source directory.
Assuming default configuration 
(scipy/distutils/command/{setup_command,setup}.py was not found)
Appending scipy.distutils.command configuration to scipy.distutils
Assuming default configuration 
(scipy/distutils/fcompiler/{setup_fcompiler,setup}.py was not found)
Appending scipy.distutils.fcompiler configuration to scipy.distutils
Appending scipy.distutils configuration to scipy
Appending scipy.weave configuration to scipy
Assuming default configuration (scipy/test/{setup_test,setup}.py was 
not found)
Appending scipy.test configuration to scipy
No module named __svn_version__
Creating scipy/f2py/__svn_version__.py (version='1511')
F2PY Version 2_1511
Appending scipy.f2py configuration to scipy
Creating scipy/base/__svn_version__.py (version='1511')
Appending scipy.base configuration to scipy
blas_opt_info:
atlas_blas_threads_info:
Setting PTATLAS=ATLAS
   NOT AVAILABLE

atlas_blas_info:
   FOUND:
     libraries = ['f77blas', 'cblas', 'atlas']
     library_dirs = ['/usr/lib']
     language = c
     include_dirs = ['/usr/include']

/u/home8/guyer/SciPy/core/scipy/distutils/system_info.py:897: 
FutureWarning: hex()/oct() of negative int will return a signed string 
in Python 2.4 and up
   magic = hex(hash(`config`))
running build_src
building extension "atlas_version" sources
creating build
creating build/src
   adding 'build/src/atlas_version_0x81dd6ae9.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
building 'atlas_version' extension
compiling C sources
gcc options: '-pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall 
-Wstrict-prototypes -fPIC'
creating build/temp.linux-i686-2.3
creating build/temp.linux-i686-2.3/build
creating build/temp.linux-i686-2.3/build/src
compile options: '-I/usr/include -Iscipy/base/include 
-I/usr/include/python2.3 -c'
gcc: build/src/atlas_version_0x81dd6ae9.c
gcc -pthread -shared 
build/temp.linux-i686-2.3/build/src/atlas_version_0x81dd6ae9.o 
-L/usr/lib -lf77blas -lcblas -latlas -o 
build/temp.linux-i686-2.3/atlas_version.so
   FOUND:
     libraries = ['f77blas', 'cblas', 'atlas']
     library_dirs = ['/usr/lib']
     language = c
     define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
     include_dirs = ['/usr/include']

lapack_opt_info:
atlas_threads_info:
Setting PTATLAS=ATLAS
scipy.distutils.system_info.atlas_threads_info
   NOT AVAILABLE

atlas_info:
scipy.distutils.system_info.atlas_info
   FOUND:
     libraries = ['lapack', 'f77blas', 'cblas', 'atlas']
     library_dirs = ['/usr/lib/atlas', '/usr/lib']
     language = f77
     include_dirs = ['/usr/include']

running build_src
building extension "atlas_version" sources
   adding 'build/src/atlas_version_0x6be84111.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
Could not locate executable gfortran
Could not locate executable f95
customize GnuFCompiler
customize GnuFCompiler
customize GnuFCompiler using build_ext
building 'atlas_version' extension
compiling C sources
gcc options: '-pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall 
-Wstrict-prototypes -fPIC'
compile options: '-I/usr/include -Iscipy/base/include 
-I/usr/include/python2.3 -c'
gcc: build/src/atlas_version_0x6be84111.c
/usr/bin/g77 -shared 
build/temp.linux-i686-2.3/build/src/atlas_version_0x6be84111.o 
-L/usr/lib/atlas -L/usr/lib -llapack -lf77blas -lcblas -latlas 
-lg2c-pic -o build/temp.linux-i686-2.3/atlas_version.so
   FOUND:
     libraries = ['lapack', 'f77blas', 'cblas', 'atlas']
     library_dirs = ['/usr/lib/atlas', '/usr/lib']
     language = f77
     define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
     include_dirs = ['/usr/include']

Appending scipy.lib configuration to scipy
Appending scipy.basic configuration to scipy
Appending scipy configuration to
Inheriting attribute 'version' from '?'
scipy_core version 0.7.1.1511
running build
running config_fc
running build_src
building extension "scipy.distutils.__config__" sources
creating build/src/scipy
creating build/src/scipy/distutils
creating build/src/scipy/distutils/scipy
creating build/src/scipy/distutils/scipy/distutils
   adding 'build/src/scipy/distutils/scipy/distutils/__config__.py' to 
sources.
building extension "scipy.base.multiarray" sources
creating build/src/scipy/base
Generating build/src/scipy/base/config.h
customize GnuFCompiler
customize GnuFCompiler
customize GnuFCompiler using config
gcc options: '-pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall 
-Wstrict-prototypes -fPIC'
compile options: '-I/usr/include/python2.3 -Iscipy/base/src 
-I/usr/include/python2.3 -c'
gcc: _configtest.c
gcc -pthread _configtest.o -o _configtest
_configtest
Inconsistency detected by ld.so: dl-version.c: 230: 
_dl_check_map_versions: Assertion `needed != ((void *)0)' failed!
failure.
removing: _configtest.c _configtest.o _configtest
Traceback (most recent call last):
   File "setup.py", line 38, in ?
     setup_package()
   File "setup.py", line 31, in setup_package
     setup( **config.todict() )
   File "/u/home8/guyer/SciPy/core/scipy/distutils/core.py", line 91, in 
setup
     return old_setup(**new_attr)
   File "/usr/lib/python2.3/distutils/core.py", line 149, in setup
     dist.run_commands()
   File "/usr/lib/python2.3/distutils/dist.py", line 907, in run_commands
     self.run_command(cmd)
   File "/usr/lib/python2.3/distutils/dist.py", line 927, in run_command
     cmd_obj.run()
   File "/usr/lib/python2.3/distutils/command/build.py", line 107, in run
     self.run_command(cmd_name)
   File "/usr/lib/python2.3/distutils/cmd.py", line 333, in run_command
     self.distribution.run_command(command)
   File "/usr/lib/python2.3/distutils/dist.py", line 927, in run_command
     cmd_obj.run()
   File 
"/u/home8/guyer/SciPy/core/scipy/distutils/command/build_src.py", line 
86, in run
     self.build_sources()
   File 
"/u/home8/guyer/SciPy/core/scipy/distutils/command/build_src.py", line 
99, in build_sources
     self.build_extension_sources(ext)
   File 
"/u/home8/guyer/SciPy/core/scipy/distutils/command/build_src.py", line 
143, in build_extension_sources
     sources = self.generate_sources(sources, ext)
   File 
"/u/home8/guyer/SciPy/core/scipy/distutils/command/build_src.py", line 
199, in generate_sources
     source = func(extension, build_dir)
   File "scipy/base/setup.py", line 36, in generate_config_h
     raise "ERROR: Failed to test configuration"
ERROR: Failed to test configuration
removed scipy/base/__svn_version__.py
removed scipy/base/__svn_version__.pyc
removed scipy/f2py/__svn_version__.py
removed scipy/f2py/__svn_version__.pyc


-- 
Jonathan E. Guyer, PhD
Metallurgy Division
National Institute of Standards and Technology
<http://www.metallurgy.nist.gov/>




More information about the Scipy-dev mailing list